Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owlx.examples.javaDemo.model
Interface Customer_

All Superinterfaces:
  Comparable<edu.stanford.smi.protege.model.Frame>, edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, ProtegeInstance, RDFIndividual, RDFObject, RDFResource, edu.stanford.smi.protege.model.SimpleInstance, Visitable

All Known Subinterfaces:
  Customer, GoodCustomer, VeryGoodCustomer

All Known Implementing Classes:
  DefaultCustomer, DefaultCustomer_, DefaultGoodCustomer, DefaultVeryGoodCustomer

    public interface Customer_

extends RDFIndividual

Generated by Protege-OWL (http://protege.stanford.edu/plugins/owl). Source OWL Class: http://www.owl-ontologies.com/javaDemo.owl#Customer

Version:
  generated on Sat Feb 19 17:10:28 EST 2005

Method Summary
`void` | `addPurchases(Purchase newPurchases)`
`String` | `getFirstName()`
`RDFProperty` | `getFirstNameProperty()`
`String` | `getLastName()`
`RDFProperty` | `getLastNameProperty()`
`Collection` | `getPurchases()`
`RDFProperty` | `getPurchasesProperty()`
`int` | `getZipCode()`
`RDFProperty` | `getZipCodeProperty()`
`boolean` | `hasFirstName()`
`boolean` | `hasLastName()`
`boolean` | `hasPurchases()`
`boolean` | `hasZipCode()`
`Iterator` | `listPurchases()`
`void` | `removePurchases(Purchase oldPurchases)`
`void` | `setFirstName(String newFirstName)`
`void` | `setLastName(String newLastName)`
`void` | `setPurchases(Collection newPurchases)`
`void` | `setZipCode(int newZipCode)`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFResource
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, delete, getAllValuesFromOnTypes, getBrowserText, getComments, getDifferentFrom, getHasValuesOnTypes, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, isVisible, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, setVisible`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getDocumentation, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue, rename`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFObject
`equalsStructurally`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.visitor.Visitable
`accept`

Method Detail

### getFirstName

    String getFirstName()

### getFirstNameProperty

    RDFProperty getFirstNameProperty()

### hasFirstName

    boolean hasFirstName()

### setFirstName

    void setFirstName(String newFirstName)

### getLastName

    String getLastName()

### getLastNameProperty

    RDFProperty getLastNameProperty()

### hasLastName

    boolean hasLastName()

### setLastName

    void setLastName(String newLastName)

### getPurchases

    Collection getPurchases()

### getPurchasesProperty

    RDFProperty getPurchasesProperty()

### hasPurchases

    boolean hasPurchases()

### listPurchases

    Iterator listPurchases()

### addPurchases

    void addPurchases(Purchase newPurchases)

### removePurchases

    void removePurchases(Purchase oldPurchases)

### setPurchases

    void setPurchases(Collection newPurchases)

### getZipCode

    int getZipCode()

### getZipCodeProperty

    RDFProperty getZipCodeProperty()

### hasZipCode

    boolean hasZipCode()

### setZipCode

    void setZipCode(int newZipCode)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.